import { Data, animate, Override, Animatable } from "framer";

const data = Data({
  color: Animatable("#fff"),
  toggle: true
});

export const Toggle: Override = () => {
  return {
    background: data.color,
    onTap() {
      const toggle = data.toggle;
      animate(data.color,{ data.toggle ? "red" : "green"});
      data.toggle = !toggle;
    }
  };
};
