import { Data, animate, Override, Animatable } from "framer";

const data = Data({
  yPosition: Animatable(0)
});

export const Button: Override = props => {
  data.yPosition.set(props.top);
  return {
    top: data.yPosition,
    async onTap() {
      await animate(data.yPosition, 620).finished;
      animate(data.yPosition, 620).finished;
    }
  };
};

// export const BoxA_SelectSpring: Override = () => {
//   return {
//     async onTap() {
//       await animate.spring(data.leftPositionBoxA, 850, {
//         duration: 2,
//         dampingRatio: 0.5
//       }).finished;
//       animate.spring(data.leftPositionBoxA, 20, {
//         duration: 2,
//         dampingRatio: 0.5
//       });
//     }
//   };
// };
