import { Data, animate, Override, Animatable } from "framer";

const data = Data({
  yPosition: Animatable(0)
});

export const Button: Override = props => {
  data.yPosition.set(props.top);
  const startPosition = props.top;
  return {
    top: data.yPosition,
    async onTap() {
      await animate(data.yPosition, 620).finished;
      animate(data.yPosition, startPosition);
    }
  };
};
