import { Data, animate, Override, Animatable } from "framer";

const data = Data({
  yPosition: Animatable(0)
});

export const Button: Override = props => {
  data.yPosition.set(props.top);
  return {
    top: data.yPosition,
    onTap() {
      animate(data.yPosition, 620);
    }
  };
};
