import { Data, animate, Override, Animatable } from "framer";

const data = Data({
  yPosition: Animatable(0)
});

export const DelayedAnimation_1: Override = props => {
  data.yPosition.set(props.top);
  const startPosition = props.top;
  return {
    top: data.yPosition,
    async onTap() {
      await animate(data.yPosition, 620).finished;
      await animate.ease(Animatable(0), 1, { duration: 0.3 }).finished;
      animate(data.yPosition, startPosition);
    }
  };
};

// const dummy = Animatable(0);
// await animate.ease(dummy, 1, { duration: 0.1 }).finished;

export const DelayedAnimation_2: Override = props => {
  data.yPosition.set(props.top);
  const startPosition = props.top;
  return {
    top: data.yPosition,
    async onTap() {
      await animate(data.yPosition, 620).finished;
      await animate.ease(Animatable(0), 1, { duration: 0.3 }).finished;
      animate(data.yPosition, startPosition);
    }
  };
};
