import { Data, animate, Override, Animatable } from "framer";

const data = Data({
  yPosition: Animatable(0)
});

export const Button: Override = props => {
  data.yPosition.set(props.top);
  return {
    top: data.yPosition,
    onTap() {
      let animateToColor = "";
      if (data.toggle) {
        animateToColor = "red";
        data.label = "OFF";
      } else {
        animateToColor = "green";
        data.label = "ON";
      }
      animate(data.color, animateToColor);
      data.toggle = !data.toggle;
    }
  };
};
