import { Override, Animatable, animate } from "framer";

const colorValue = Animatable("#66BB66");

// An override for targeting frames
export const GetBackgroundAni: Override = () => {
  return {
    background: colorValue
  };
};

// An override with the onTap() event handler
export const AnimateBackground: Override = () => {
  return {
    onTap() {
      animate(colorValue, "red");
    }
  };
};
